Bug 1149703 - bad SSL_CLIENT_VERIFY value on resumed session with "SSLVerifyClient optional_no_ca"
Summary: bad SSL_CLIENT_VERIFY value on resumed session with "SSLVerifyClient optional...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: httpd
Version: 6.5
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Web Stack Team
QA Contact: Filip Holec
URL:
Whiteboard:
Depends On:
Blocks: 1075802 1159820 1170206
TreeView+ depends on / blocked
 
Reported: 2014-10-06 13:46 UTC by Coty Sutherland
Modified: 2018-12-09 18:46 UTC (History)
7 users (show)

Fixed In Version: httpd-2.2.15-40.el6
Doc Type: Bug Fix
Doc Text:
The SSL_CLIENT_VERIFY environment variable was incorrectly handled when the "SSLVerifyClient optional_no_ca" and "SSLSessionCache" options were used. Consequently, when an SSL session was resumed, the SSL_CLIENT_VERIFY value was set to "SUCCESS" instead of the previously set "GENEROUS". SSL_CLIENT_VERIFY is now correctly set to GENEROUS in this scenario.
Clone Of:
: 1170206 (view as bug list)
Environment:
Last Closed: 2015-07-22 05:53:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1249 normal SHIPPED_LIVE Low: httpd security, bug fix, and enhancement update 2015-07-20 17:50:12 UTC
Apache Bugzilla 53193 None None None Never

Description Coty Sutherland 2014-10-06 13:46:55 UTC
Description of problem:
Customer requests that we add the resolution from the upstream bug attached (Apache BZ 53193) to our RHEL provided httpd bits. More information about the issue is provided on the upstream bug.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 11 errata-xmlrpc 2015-07-22 05:53:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1249.html


Note You need to log in before you can comment on or make changes to this bug.